////////////////////////////////////////////////////////////////////////////////
//    2   "  Windows"
// WWW.CrazyProger.Narod.Ru
////////////////////////////////////////////////////////////////////////////////

#include <Windows.h>

// 
HWND	hMainWnd;   //   

//  
LRESULT CALLBACK WindowProc(HWND hWnd, UINT iMsg, WPARAM wParam, LPARAM lParam)
{
    switch(iMsg)
    {
     //    WM_DESTROY
     case WM_DESTROY:		
        PostQuitMessage(0);  //     WM_QUIT
        return 0;
    }

    return DefWindowProc(hWnd, iMsg, wParam, lParam);
}

//    
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
                   LPSTR lpCmdLine, int nShowCmd)
{
    WNDCLASSEX	wcex;    //     

    wcex.cbSize = sizeof(WNDCLASSEX);     //  
    wcex.style = CS_HREDRAW|CS_VREDRAW;   // 
    wcex.lpfnWndProc = WindowProc;        //  
    wcex.cbClsExtra = 0;                  // .    
    wcex.cbWndExtra = 0;                  // .   
    wcex.hInstance = hInstance;           //   
    wcex.hIcon = LoadIcon(NULL, IDI_APPLICATION);            // 
    wcex.hCursor = LoadCursor(NULL, IDC_ARROW);              // 
    wcex.hbrBackground = (HBRUSH)GetStockObject(GRAY_BRUSH); // 
    wcex.lpszMenuName = NULL;                                //  ( ,  NULL)
    wcex.lpszClassName = " ";                       //   
    wcex.hIconSm = LoadIcon(NULL, IDI_APPLICATION);          //  

    //   
    RegisterClassEx(&wcex);

    //  
    hMainWnd = CreateWindowEx(0,                  // . 
                              " ",       //   
                              "",             //  
                              WS_OVERLAPPEDWINDOW,// 
                              0, 0,               // 
                              400, 400,           // 
                              NULL,               //   
                              NULL,               //  
                              hInstance,          //   
                              0);
    //  
    ShowWindow(hMainWnd, nShowCmd);

    MSG    msg;    //      

    //   
    while(GetMessage(&msg, NULL, 0, 0))  //    WM_QUIT
    {
        TranslateMessage(&msg);
        DispatchMessage(&msg);  //     
    }

    return 0;
}